package application;

import prohibited.Proxy;

public class Main {

	/**
	 * @param args
	 */
	public static void main(String[] args) {
		//testModifyingEnumerations();
		//testResourceBackup();
		testMethodSubstitution();
	}

	private static void testMethodSubstitution() {
		SMTPServer server = new SMTPServer("OK", "original", "bb");
		server.sendMail("text");
		Proxy proxy = new Proxy();
		proxy.callSendMail(server);
		proxy.test();
	}

	private static void testResourceBackup() {
		SMTPServer server = new SMTPServer("BAD", "original", "bb");
		System.out.println(server);
	}

	private static void testModifyingEnumerations() {
		Genre g = new Genre();
		System.out.println("Genre types: "+g.getGenreTypes());
	}

}
